Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78725 - Adding port "pinning" support to nfslock script
Summary: Adding port "pinning" support to nfslock script
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils
Version: 8.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 12:07 UTC by juha.heljoranta
Modified: 2007-03-27 03:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-15 21:26:42 UTC


Attachments (Terms of Use)
patch to add port "pinning" support to nfslock script (deleted)
2002-11-28 12:10 UTC, juha.heljoranta
no flags Details | Diff

Description juha.heljoranta 2002-11-28 12:07:15 UTC
/etc/rc.d/init.d/nfs supports port "pinning" by using MOUNTD_PORT variable.

I created a patch to add this same feature to /etc/rc.d/init.d/nfslock

Variables to use with nfslock are STATD_PORT for incoming and
STATD_OUTGOING_PORT for outgoing traffic.

Using port pinning makes easy to protect nfs server by using firewall.

Comment 1 juha.heljoranta 2002-11-28 12:10:08 UTC
Created attachment 86825 [details]
patch to add port "pinning" support to nfslock script


Note You need to log in before you can comment on or make changes to this bug.